#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct M_ActivitySummerCollectingCFGData
{
	//任务ID
	int mID;
	//集齐类型
	int mCollectingType;
	//集齐奖励
	std::vector<int> mCollectingReward;
	//集齐奖励数量
	std::vector<int> mCollectingQuantity;
	//集齐奖励数量重置加成
	std::vector<int> mCollectingQuantityAdd;
};

class M_ActivitySummerCollectingCFG
{
public:
private:
	static std::auto_ptr<M_ActivitySummerCollectingCFG> msSingleton;
public:
	int GetCount();
	const M_ActivitySummerCollectingCFGData* GetData(int ID);
	boost::unordered_map<int, M_ActivitySummerCollectingCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static M_ActivitySummerCollectingCFG* GetSingleton();
private:
	boost::unordered_map<int, M_ActivitySummerCollectingCFGData> mMapData;
};
